Extending Qt Creator Manual | Link

Extending Qt Creator Manual 4.5.2

# Link Class

(TextEditor::TextEditorWidget::Link)

- List of all members, including inherited members

## Public Functions

| Link(const QString &fileName = QString(), int line = 0, int column = 0)
bool | hasValidLinkText() const
bool | hasValidTarget() const
bool | operator==(const Link &other) const

## Member Function Documentation

### Link::Link(const QString &fileName = QString(), int line = 0, int column = 0)

Default constructs an instance of Link.

### bool Link::hasValidLinkText() const

### bool Link::hasValidTarget() const

### bool Link::operator==(const Link &other) const